<?php
/**
 * @package Business Growth
 * Setup the WordPress core custom functions feature.
 *
*/

add_action('business_growth_optionsframework_custom_scripts', 'business_growth_optionsframework_custom_scripts');
function business_growth_optionsframework_custom_scripts() { ?>
	<script type="text/javascript">
    jQuery(document).ready(function() {
    
        jQuery('#example_showhidden').click(function() {
            jQuery('#section-example_text_hidden').fadeToggle(400);
        });
        
        if (jQuery('#example_showhidden:checked').val() !== undefined) {
            jQuery('#section-example_text_hidden').show();
        }
        
    });
    </script><?php
}

// get_the_content format text
function get_the_content_format( $str ){
	$raw_content = apply_filters( 'the_content', $str );
	$content = str_replace( ']]>', ']]&gt;', $raw_content );
	return $content;
}
// the_content format text
function the_content_format( $str ){
	echo get_the_content_format( $str );
}

function is_google_font( $font ){
	$notGoogleFont = array( 'Arial', 'Comic Sans MS', 'FreeSans', 'Georgia', 'Lucida Sans Unicode', 'Palatino Linotype', 'Symbol', 'Tahoma', 'Trebuchet MS', 'Verdana' );
	if( in_array($font, $notGoogleFont) ){
		return false;
	}else{
		return true;
	}
}

// subhead section function
function sub_head_section( $more ) {
	$pgs = 0;
	do {
		$pgs++;
	} while ($more > $pgs);
	return $pgs;
}

//[clear]
function clear_func() {
	$clr = '<div class="clear"></div>';
	return $clr;
}
add_shortcode( 'clear', 'clear_func' );

//[separator height="20"]
function separator_shortcode_func($atts ) {
	extract( shortcode_atts( array(
		'height' => '20',
	), $atts ) );
	$sptr = '<div style="clear:both; min-height:20px; height:'.$height.'px; background:url('.get_template_directory_uri().'/images/hr_double.png) no-repeat center center transparent;"></div>';
	return $sptr;
}
add_shortcode( 'separator', 'separator_shortcode_func' );

//[blankspace height="20"]
function blankspace_shortcode_func($atts ) {
	extract( shortcode_atts( array(
		'height' => '20',
	), $atts ) );
	$sptr = '<div class="custom-height" style="height:'.$height.'px;"></div>';
	return $sptr;
}
add_shortcode( 'blankspace', 'blankspace_shortcode_func' );


//[column_content]Your content here...[/column_content]
function column_content_func( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'type' => '',		
	), $atts ) );
	$colPos = strpos($type, '_last');
	if($colPos === false){
		$cnt = '<div class="'.$type.'">'.do_shortcode($content).'</div>';
	}else{
		$type = substr($type,0,$colPos);
		$cnt = '<div class="'.$type.' last_column">'.do_shortcode($content).'</div>';
	}
	return $cnt;
}
add_shortcode( 'column_content', 'column_content_func' );


//[hr]
function hrule_func() {
	$hrule = '<div class="clear hrule"></div>';
	return $hrule;
}
add_shortcode( 'hr', 'hrule_func' );


//[hr_top]
function hr_top_func() {
	$hr_top = '<div class="clear linktotop"><a title="Top of Page" href="#top">Back to Top</a></div><div class="clear hrule"></div>';
	return $hr_top;
}
add_shortcode( 'hr_top', 'hr_top_func' );


// [searchform]
function searchform_shortcode_func( $atts ){
	return get_search_form( false );
}
add_shortcode( 'searchform', 'searchform_shortcode_func' );

// accordion
function accordion_func( $atts, $content = null ) {
	$acc = '<div style="margin-top:10px;">'.get_the_content_format( do_shortcode($content) ).'<div class="clear"></div></div>';
	return $acc;
}
add_shortcode( 'accordion', 'accordion_func' );
function accordion_content_func( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'title' => 'Accordion Title',
	), $atts ) );
	$content = wpautop(trim($content));
	$acn = '<div class="accordion-box"><h2>'.$title.'</h2>
			<div class="acc-content">'.$content.'</div><div class="clear"></div></div>';
	return $acn;
}
add_shortcode( 'accordion_content', 'accordion_content_func' );


// remove excerpt more
function new_excerpt_more( $more ) {
	return '... ';
}
add_filter('excerpt_more', 'new_excerpt_more');

// get post categories function
function getPostCategories(){
	$categories = get_the_category();
	$catOut = '';
	$separator = ', ';
	$catOutput = '';
	if($categories){
		foreach($categories as $category) {
			$catOutput .= '<a href="'.get_category_link( $category->term_id ).'" title="' . esc_attr( sprintf( __( "View all posts in %s", 'business-growth' ), $category->name ) ) . '">'.$category->cat_name.'</a>'.$separator;
		}
		$catOut = 'Categories: '.trim($catOutput, $separator);
	}
	return $catOut;
}

// replace last occurance of a string.
function str_lreplace($search, $replace, $subject){
	$pos = strrpos($subject, $search);
	if($pos !== false){
		$subject = substr_replace($subject, $replace, $pos, strlen($search));
	}
	return $subject;
}

function pricing_table_shortcode_func( $atts, $content = null ) {
   extract( shortcode_atts( array(
		'columns' => '4',
	), $atts ) );
	$ptbl = '<div class="pricing_table pcol'.$columns.'">'.do_shortcode( str_replace(array('<br />','\t','\n','\r','\0'.'\x0B'), array('','','','','',''), $content) ) .'<div class="clear"></div></div>';
	return $ptbl;
}
add_shortcode( 'pricing_table', 'pricing_table_shortcode_func' );

function price_column_func( $atts, $content = null ) {
   extract( shortcode_atts( array(
		'highlight' => '',
		'bgcolor' => '',
	), $atts ) );
	$pcol = '<div class="price_col '.( (strtolower($highlight) == 'yes') ? 'highlight' : '' ).'" '.( ($bgcolor!='') ? 'style="background-color:'.$bgcolor.' !important;"' : '' ) .'>'.do_shortcode( $content ) .'</div>';
    return $pcol;
}
add_shortcode( 'price_column', 'price_column_func' );

function price_column_header_func( $atts, $content = null ) {
	$pheader = '<div class="th">'.strip_tags($content).'</div>';
    return $pheader;
}
add_shortcode( 'price_header', 'price_column_header_func' );

function price_column_footer_func( $atts, $content = null ) {
   extract( shortcode_atts( array(
		'link' => '#',
	), $atts ) );
	$pfooter = '<div class="tf"><a href="'.$link.'">'.strip_tags($content).'</a></div>';
    return $pfooter;
}
add_shortcode( 'price_footer', 'price_column_footer_func' );

function price_row_footer_func( $atts, $content = null ) {
	$prow = '<div class="td">'.$content.'</div>';
    return $prow;
}
add_shortcode( 'price_row', 'price_row_footer_func' );


function readmore_func( $atts) {
	extract(shortcode_atts(array(	
	'button'		=> '',	
	'links'		=> '',
	'align'		=> '',						
	), $atts));
	$rrow = '<div class="view-all-btn" style="text-align:'.$align.'"><a href="'.$links.'">'.$button.'</a></div>';
    return $rrow;
}
add_shortcode( 'readmore-link', 'readmore_func' );


// custom post type for Testimonials
function my_custom_post_testimonials() {
	$labels = array(
		'name'               => __( 'Testimonials','business-growth'),
		'singular_name'      => __( 'Testimonials','business-growth'),
		'add_new'            => __( 'Add Testimonials','business-growth'),
		'add_new_item'       => __( 'Add New Testimonial','business-growth'),
		'edit_item'          => __( 'Edit Testimonial','business-growth'),
		'new_item'           => __( 'New Testimonial','business-growth'),
		'all_items'          => __( 'All Testimonials','business-growth'),
		'view_item'          => __( 'View Testimonial','business-growth'),
		'search_items'       => __( 'Search Testimonial','business-growth'),
		'not_found'          => __( 'No Testimonial found','business-growth'),
		'not_found_in_trash' => __( 'No Testimonial found in the Trash','business-growth'), 
		'parent_item_colon'  => '',
		'menu_name'          => 'Testimonials'
	);
	$args = array(
		'labels'        => $labels,
		'description'   => 'Manage Testimonials',
		'public'        => true,
		'menu_icon'		=> 'dashicons-format-quote',
		'menu_position' => null,
		'supports'      => array( 'title', 'editor', 'thumbnail'),
		'has_archive'   => true,
	);
	register_post_type( 'testimonials', $args );	
}
add_action( 'init', 'my_custom_post_testimonials' );


// add meta box to testimonials
add_action( 'admin_init', 'my_testimonial_admin_function' );
function my_testimonial_admin_function() {
    add_meta_box( 'testimonial_meta_box',
        'Testimonial Info',
        'display_testimonial_meta_box',
        'testimonials', 'normal', 'high'
    );
}
// add meta box form to testimonials
function display_testimonial_meta_box( $testimonial ) {
    // Retrieve current name of the Director and Movie Rating based on review ID
    $possition = esc_html( get_post_meta( $testimonial->ID, 'possition', true ) ); 
	
    ?>
    <table width="100%">       
        <tr>
            <td width="20%">Designation </td>
            <td width="80%"><input size="80" type="text" name="possition" value="<?php echo $possition; ?>" /></td>
        </tr>       
    </table>
    <?php    
}
// save testimonial meta box form data
add_action( 'save_post', 'add_testimonial_fields_function', 10, 2 );
function add_testimonial_fields_function( $testimonial_id, $testimonial ) {
    // Check post type for testimonials
    if ( $testimonial->post_type == 'testimonials' ) {
        // Store data in post meta table if present in post data		 
        if ( isset($_POST['possition']) ) {
            update_post_meta( $testimonial_id, 'possition', $_POST['possition'] );
        }       
    }
}



//Testimonials function
function testimonials_output_func( $atts ){
	$testimonialoutput = '<div id="testimonials"><div class="quotes">
            <ul>';
	wp_reset_query();
	query_posts('post_type=testimonials');
	if ( have_posts() ) :
		while ( have_posts() ) : the_post();		
		$possition = esc_html( get_post_meta( get_the_ID(), 'possition', true ) );
			$testimonialoutput .= '
  			 <li>			 	
				<div class="tm_description">
				  '.content( of_get_option('testimonialwordlength') ).'				  
				</div>	
				
				<div class="tm_thumb">
				'.get_the_post_thumbnail( get_the_ID(), array(80,80) ).'
				<h6> '.get_the_title().'</h6>
				<span>'.$possition.'</span>
				</div>							
              </li>
			';
		endwhile;
		 $testimonialoutput .= '</ul></div></div>';
	else:
	  $testimonialoutput = '<div id="testimonials">
          <div class="quotes">
            <ul>
              <li> 				  				                  
                  <div class="tm_description">
				   <p>Aliquam et varius orci, ut ornare justo. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque augue metus, blandit vel nibh sed, sollicitudin placerat quam. Quisque id scelerisque nibh. Phasellus in orci et felis tristique finibus non quis erat. Quisque nec congue nunc, sagittis aliquet orci. Quisque pulvinar feugiat sodales. Nam fermentum tempus odio sed euismod Quisque pulvinar feugiat sodales. Nam fermentum tempus odio sed euismod.</p>                   
				  </div> 
				  <div class="tm_thumb">
				    <img src="'.get_template_directory_uri()."/images/testimonial.jpg".'" alt="" />
				     <h6>Eficitur Sodale</h6>
				    <span>Web Developer</span>
				  </div> 				  			              
              </li>
			  
              <li>  			                  
                  <div class="tm_description">
				   <p>Aliquam et varius orci, ut ornare justo. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque augue metus, blandit vel nibh sed, sollicitudin placerat quam. Quisque id scelerisque nibh. Phasellus in orci et felis tristique finibus non quis erat. Quisque nec congue nunc, sagittis aliquet orci. Quisque pulvinar feugiat sodales. Nam fermentum tempus odio sed euismod Quisque pulvinar feugiat sodales. Nam fermentum tempus odio sed euismod.</p>                   
				  </div>
				  
				   <div class="tm_thumb">
				    <img src="'.get_template_directory_uri()."/images/testimonial.jpg".'" alt="" />
				     <h6>Eficitur Sodale</h6>
				    <span>Web Developer</span>
				  </div> 
              </li>
			               
            </ul>         
    </div>  
  ';			
	  endif;  
	wp_reset_query();
	$testimonialoutput .= '</div>';
	
	return $testimonialoutput;
}
add_shortcode( 'testimonials', 'testimonials_output_func' );


//Testimonials function
function testimonials_list_output_func( $atts ){
	extract( shortcode_atts( array( 
	'show' => '',
	), 
	$atts ) ); $postoutput = ''; wp_reset_query();
	$testimonialoutput = '<div id="testimonialslist">';
	wp_reset_query();
 	query_posts('post_type=testimonials&posts_per_page='.$show);
	if ( have_posts() ) :
		while ( have_posts() ) : the_post();
			$possition = esc_html( get_post_meta( get_the_ID(), 'possition', true ) );
			$testimonialoutput .= '				 
				   <div class="tmlisting">					   			 
				   <a href="'.get_permalink().'"> '.get_the_post_thumbnail( get_the_ID(), array(150,150) ).'</a>
				   <div class="descriptionbx">
				   <h5><a href="'.get_permalink().'">'.get_the_title().'</a></h5>
				    <span>'.$possition.'</span>
				    '.content( of_get_option('testimonialwordlength') ).'
				    
				   </div>
				   <div class="clear"></div> 
				</div>  ';
		endwhile;
		 $testimonialoutput .= '';
	else:
	  $testimonialoutput = 'There are not found testimonials';			
	  endif;  
	wp_reset_query();
	$testimonialoutput .= '</div>';
	
	return $testimonialoutput;
}
add_shortcode( 'testimonials-listing', 'testimonials_list_output_func' );


/*Latest news Function*/
function custom_recent_posts_func( $atts ){
   extract( shortcode_atts( array(
		'show' => 4,
	), $atts ) );
	$frp = '';
	wp_reset_query();
	$n = 0;
	query_posts(  array( 'posts_per_page'=>$show, 'post__not_in' => get_option('sticky_posts') )  );
	if ( have_posts() ) :
		while ( have_posts() ) : the_post();
			$n++;
			if( $n%4==0 ) 
			$nomgn = 'last';
			else
			$nomgn = ' ';
			if ( has_post_thumbnail()) {
				$large_image_url = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full');
				$imgUrl = $large_image_url[0];
			}else{
				$imgUrl = get_template_directory_uri().'/images/img404.png';
			} 
			
			$frp .= '<div class="BlogPost '.$nomgn.'">
							 <div class="recentthumb"><a href="'.get_the_permalink().'"><img src="'.$imgUrl.'" alt="" /></a></div>
							 <a href="'.get_the_permalink().'"><h5>'.get_the_title().'</h5></a>	
							 <span>'.get_the_date('F j, Y').' | Comments '.get_comments_number().'</span>							
							 '.content( of_get_option('hmrecentpostslength') ).'
							 <a class="rdmore" href="'.get_the_permalink().'">'.of_get_option('recentpostreadmoretext').'</a>	
							<div class="clear"></div>
                        </div>';		
		endwhile;
	endif;
	wp_reset_query();
	$frp .= '<div class="clear"></div>';
	
	return $frp;
}
add_shortcode( 'recent-posts', 'custom_recent_posts_func' );

/*footer posts function*/
function footer_recent_posts_func( $atts ){
   extract( shortcode_atts( array(
		'show' => 4,
	), $atts ) );
	$frp = '';
	wp_reset_query();
	$n = 0;
	query_posts(  array( 'posts_per_page'=>$show, 'post__not_in' => get_option('sticky_posts') )  );
	if ( have_posts() ) :
		while ( have_posts() ) : the_post();
			$n++;
			if( $n%2==0 ) 
			$nomgn = 'last';
			else
			$nomgn = ' ';
			if ( has_post_thumbnail()) {
				$large_image_url = wp_get_attachment_image_src( get_post_thumbnail_id(), 'thumbnail');
				$imgUrl = $large_image_url[0];
			}else{
				$imgUrl = get_template_directory_uri().'/images/img404.png';
			} 
			
			$frp .= '<div class="recent-post '.$nomgn.'">
							 <a href="'.get_the_permalink().'"><img src="'.$imgUrl.'" alt="" /></a>						 
							 <a href="'.get_the_permalink().'"><h6>'.get_the_title().'</h6></a>										
							 '.content( of_get_option('footerrplength') ).'						
							<div class="clear"></div>
                        </div>';		
		endwhile;
	endif;
	wp_reset_query();
	$frp .= '<div class="clear"></div>';
	
	return $frp;
}
add_shortcode( 'footer-posts', 'footer_recent_posts_func' );



//custom post type for Our Team
function my_custom_post_team() {
	$labels = array(
		'name'               => __( 'Our Team', 'business-growth' ),
		'singular_name'      => __( 'Our Team', 'business-growth' ),
		'add_new'            => __( 'Add New', 'business-growth' ),
		'add_new_item'       => __( 'Add New Team Member', 'business-growth' ),
		'edit_item'          => __( 'Edit Team Member', 'business-growth' ),
		'new_item'           => __( 'New Member', 'business-growth' ),
		'all_items'          => __( 'All Members', 'business-growth' ),
		'view_item'          => __( 'View Members', 'business-growth' ),
		'search_items'       => __( 'Search Team Members', 'business-growth' ),
		'not_found'          => __( 'No Team members found', 'business-growth' ),
		'not_found_in_trash' => __( 'No Team members found in the Trash', 'business-growth' ), 
		'parent_item_colon'  => '',
		'menu_name'          => 'Our Team'
	);
	$args = array(
		'labels'        => $labels,
		'description'   => 'Manage Team',
		'public'        => true,
		'menu_position' => null,
		'menu_icon'		=> 'dashicons-groups',
		'supports'      => array( 'title', 'editor', 'thumbnail' ),
		'rewrite' => array('slug' => 'our-team'),
		'has_archive'   => true,
	);
	register_post_type( 'team', $args );
}
add_action( 'init', 'my_custom_post_team' );

// add meta box to team
add_action( 'admin_init', 'my_team_admin_function' );
function my_team_admin_function() {
    add_meta_box( 'team_meta_box',
        'Member Info',
        'display_team_meta_box',
        'team', 'normal', 'high'
    );
}
// add meta box form to team
function display_team_meta_box( $team ) {
    // Retrieve current name of the Director and Movie Rating based on review ID
    $designation = esc_html( get_post_meta( $team->ID, 'designation', true ) );
    $facebook = get_post_meta( $team->ID, 'facebook', true );
	$facebooklink = esc_url( get_post_meta( $team->ID, 'facebooklink', true ) );
    $twitter = get_post_meta( $team->ID, 'twitter', true );
	$twitterlink = esc_url( get_post_meta( $team->ID, 'twitterlink', true ) );
    $linkedin = get_post_meta( $team->ID, 'linkedin', true );
	$linkedinlink = esc_url( get_post_meta( $team->ID, 'linkedinlink', true ) );
	$pint = get_post_meta( $team->ID, 'google', true );
	$googlelink = esc_url( get_post_meta( $team->ID, 'googlelink', true ) );
    $dribbble = get_post_meta( $team->ID, 'dribbble', true );
	$dribbblelink = get_post_meta( $team->ID, 'dribbblelink', true );
    ?>
    <table width="100%">
        <tr>
            <td width="20%">Designation </td>
            <td width="80%"><input type="text" name="designation" value="<?php echo $designation; ?>" /></td>
        </tr>
        <tr>
            <td width="20%">Social link 1</td>
            <td width="40%"><input type="text" name="facebook" value="<?php echo $facebook; ?>" /></td>
            <td width="40%"><input style="width:500px;" type="text" name="facebooklink" value="<?php echo $facebooklink; ?>" /></td>
        </tr>
        <tr>
            <td width="20%">Social Link 2</td>
            <td width="40%"><input type="text" name="twitter" value="<?php echo $twitter; ?>" /></td>
            <td width="40%"><input style="width:500px;" type="text" name="twitterlink" value="<?php echo $twitterlink; ?>" /></td>
        </tr>
        <tr>
            <td width="20%">Social Link 3</td>
            <td width="40%"><input type="text" name="linkedin" value="<?php echo $linkedin; ?>" /></td>
            <td width="40%"><input style="width:500px;" type="text" name="linkedinlink" value="<?php echo $linkedinlink; ?>" /></td>
        </tr>
        <tr>
            <td width="20%">Social Link 4</td>
            <td width="40%"><input type="text" name="dribbble" value="<?php echo $dribbble; ?>" /></td>
            <td width="40%"><input style="width:500px;" type="text" name="dribbblelink" value="<?php echo $dribbblelink; ?>" /></td>
        </tr>
        <tr>
            <td width="20%">Social Link 5</td>
            <td width="40%"><input type="text" name="google" value="<?php echo $pint; ?>" /></td>
            <td width="40%"><input style="width:500px;" type="text" name="googlelink" value="<?php echo $googlelink; ?>" /></td>
        </tr>
        <tr>
        	<td width="100%" colspan="3"><label style="font-size:12px;"><strong>Note:</strong> Icon name should be in lowercase without space. More social icons can be found at: http://fortawesome.github.io/Font-Awesome/icons/</label> </td>
        </tr>
    </table>
    <?php               
}
// save team meta box form data
add_action( 'save_post', 'add_team_fields_function', 10, 2 );
function add_team_fields_function( $team_id, $team ) {
    // Check post type for testimonials
    if ( $team->post_type == 'team' ) {
        // Store data in post meta table if present in post data
        if ( isset($_POST['designation']) ) {
            update_post_meta( $team_id, 'designation', $_POST['designation'] );
        }
        if ( isset($_POST['facebook']) ) {
            update_post_meta( $team_id, 'facebook', $_POST['facebook'] );
        }
		if ( isset($_POST['facebooklink']) ) {
            update_post_meta( $team_id, 'facebooklink', $_POST['facebooklink'] );
        }
        if ( isset($_POST['twitter']) ) {
            update_post_meta( $team_id, 'twitter', $_POST['twitter'] );
        }
		if ( isset($_POST['twitterlink']) ) {
            update_post_meta( $team_id, 'twitterlink', $_POST['twitterlink'] );
        }
        if ( isset($_POST['linkedin']) ) {
            update_post_meta( $team_id, 'linkedin', $_POST['linkedin'] );
        }
		if ( isset($_POST['linkedinlink']) ) {
            update_post_meta( $team_id, 'linkedinlink', $_POST['linkedinlink'] );
        }
        if ( isset($_POST['dribbble']) ) {
            update_post_meta( $team_id, 'dribbble', $_POST['dribbble'] );
        }
		if ( isset($_POST['dribbblelink']) ) {
            update_post_meta( $team_id, 'dribbblelink', $_POST['dribbblelink'] );
        }
		if ( isset($_POST['google']) ) {
            update_post_meta( $team_id, 'google', $_POST['google'] );
        }
		if ( isset($_POST['googlelink']) ) {
            update_post_meta( $team_id, 'googlelink', $_POST['googlelink'] );
        }
    }
}

function ourteamposts_func( $atts ) {
   extract( shortcode_atts( array(
		'show' => '',
	), $atts ) );
	  extract( shortcode_atts( array( 'show' => '',), $atts ) ); $postoutput = ''; wp_reset_query();
	$bposts = '<div class="section-teammember">';
	$args = array( 'post_type' => 'team', 'posts_per_page' => $show, 'post__not_in' => get_option('sticky_posts'), 'orderby' => 'date', 'order' => 'desc' );
	query_posts( $args );
	$n = 0;
	if ( have_posts() ) {
		while ( have_posts() ) { 
			the_post();
			$n++; if( $n%4 == 0 ) $nomargn = ' last'; else $nomargn = '';
			$designation = esc_html( get_post_meta( get_the_ID(), 'designation', true ) );
			$facebook = get_post_meta( get_the_ID(), 'facebook', true );
			$facebooklink = get_post_meta( get_the_ID(), 'facebooklink', true );
			$twitter = get_post_meta( get_the_ID(), 'twitter', true );
			$twitterlink = get_post_meta( get_the_ID(), 'twitterlink', true );
			$linkedin = get_post_meta( get_the_ID(), 'linkedin', true );
			$linkedinlink = get_post_meta( get_the_ID(), 'linkedinlink', true );
			$dribbble = get_post_meta( get_the_ID(), 'dribbble', true );
			$dribbblelink = get_post_meta( get_the_ID(), 'dribbblelink', true );
			$pint = get_post_meta( get_the_ID(), 'google', true );
			$googlelink = get_post_meta( get_the_ID(), 'googlelink', true );
			
			$large_imgSrc = wp_get_attachment_image_src( get_post_thumbnail_id(), 'large');
			if ( !empty($large_imgSrc)) {
				$imgUrl = $large_imgSrc[0];
			}else{
				$imgUrl = get_template_directory_uri().'/images/img404.png';
			}
			 
				$bposts .= '<div class="team_column'.$nomargn.'"><div class="hover panel">';
			$bposts .= '<div class="front"><div class="box1"><a href="'.get_the_permalink().'"><img src="'.$imgUrl.'" alt=" " /></a></div></div>
				<div class="back"><div class="box2"><h5><a href="'.get_permalink().'" title="'.get_the_title().'">'.get_the_title().'</a></h5>
				<span class="member-designation">'.$designation.'</span>
				 '.content( of_get_option('teamexcerptlength') ).'
				 <a class="buttonstyle2" href="'.get_permalink().'">'.of_get_option('teamreadmoretext').'</a>
				 ';
					
			$bposts .= '<div class="member-social-icon">';
								if( $facebook != '' ){
									$bposts .= '<a href="'.$facebooklink.'" title="'.$facebook.'" target="_blank"><i class="fa fa-'.$facebook.' fa-lg"></i></a>';
								}
								if( $twitter != '' ){
									$bposts .= '<a href="'.$twitterlink.'" title="'.$twitter.'" target="_blank"><i class="fa fa-'.$twitter.' fa-lg"></i></a>';
								}
								if( $linkedin != '' ){
									$bposts .= '<a href="'.$linkedinlink.'" title="'.$linkedin.'" target="_blank"><i class="fa fa-'.$linkedin.' fa-lg"></i></a>';
								}
								if( $dribbble != '' ){
									$bposts .= '<a href="'.$dribbblelink.'" title="'.$dribbble.'" target="_blank"><i class="fa fa-'.$dribbble.' fa-lg"></i></a>';
								}
								if( $pint != '' ){
									$bposts .= '<a href="'.$googlelink.'" title="'.$pint.'" target="_blank"><i class="fa fa-'.$pint.' fa-lg"></i></a><div class="clear"></div>';
								}
				$bposts .= '</div>';
			$bposts .= '<div class="clear"></div></div></div></div></div>';
		}
	}else{
		$bposts .= '<div class="team_column">
          <div class="hover panel">
            <div class="front">
              <div class="box1"><a href="#"><img src="'.get_template_directory_uri()."/images/team3.jpg".'" alt="" /></a></div>
            </div>
            <div class="back">
              <div class="box2">
                <h5><a href="#" title="Team 5">Team 5</a></h5>
                <span class="member-designation">Gynacologist</span>
                <p>This is an example page. Its different from a blog post because it will stay in one place and will show</p>
                <a class="buttonstyle2" href="#">Read More</a>
                <div class="member-social-icon"><a href="#" title="facebook" target="_blank"><i class="fa fa-facebook fa-lg"></i></a><a href="#" title="twitter" target="_blank"><i class="fa fa-twitter fa-lg"></i></a><a href="#" title="linkedin" target="_blank"><i class="fa fa-linkedin fa-lg"></i></a><a href="#" title="google-plus" target="_blank"><i class="fa fa-google-plus fa-lg"></i></a><a href="#" title="skype" target="_blank"><i class="fa fa-skype fa-lg"></i></a>
                  <div class="clear"></div>
                </div>
                <div class="clear"></div>
              </div>
            </div>
          </div>
        </div>
		
		<div class="team_column">
          <div class="hover panel">
            <div class="front">
              <div class="box1"><a href="#"><img src="'.get_template_directory_uri()."/images/team1.jpg".'" alt="" /></a></div>
            </div>
            <div class="back">
              <div class="box2">
                <h5><a href="#" title="Team 5">Team 5</a></h5>
                <span class="member-designation">Gynacologist</span>
                <p>This is an example page. Its different from a blog post because it will stay in one place and will show</p>
                <a class="buttonstyle2" href="#">Read More</a>
                <div class="member-social-icon"><a href="#" title="facebook" target="_blank"><i class="fa fa-facebook fa-lg"></i></a><a href="#" title="twitter" target="_blank"><i class="fa fa-twitter fa-lg"></i></a><a href="#" title="linkedin" target="_blank"><i class="fa fa-linkedin fa-lg"></i></a><a href="#" title="google-plus" target="_blank"><i class="fa fa-google-plus fa-lg"></i></a><a href="#" title="skype" target="_blank"><i class="fa fa-skype fa-lg"></i></a>
                  <div class="clear"></div>
                </div>
                <div class="clear"></div>
              </div>
            </div>
          </div>
        </div>
		
		<div class="team_column">
          <div class="hover panel">
            <div class="front">
              <div class="box1"><a href="#"><img src="'.get_template_directory_uri()."/images/team2.jpg".'" alt="" /></a></div>
            </div>
            <div class="back">
              <div class="box2">
                <h5><a href="#" title="Team 5">Team 5</a></h5>
                <span class="member-designation">Gynacologist</span>
                <p>This is an example page. Its different from a blog post because it will stay in one place and will show</p>
                <a class="buttonstyle2" href="#">Read More</a>
                <div class="member-social-icon"><a href="#" title="facebook" target="_blank"><i class="fa fa-facebook fa-lg"></i></a><a href="#" title="twitter" target="_blank"><i class="fa fa-twitter fa-lg"></i></a><a href="#" title="linkedin" target="_blank"><i class="fa fa-linkedin fa-lg"></i></a><a href="#" title="google-plus" target="_blank"><i class="fa fa-google-plus fa-lg"></i></a><a href="#" title="skype" target="_blank"><i class="fa fa-skype fa-lg"></i></a>
                  <div class="clear"></div>
                </div>
                <div class="clear"></div>
              </div>
            </div>
          </div>
        </div>
		
		<div class="team_column last">
          <div class="hover panel">
            <div class="front">
              <div class="box1"><a href="#"><img src="'.get_template_directory_uri()."/images/team3.jpg".'" alt="" /></a></div>
            </div>
            <div class="back">
              <div class="box2">
                <h5><a href="#" title="Team 5">Team 5</a></h5>
                <span class="member-designation">Gynacologist</span>
                <p>This is an example page. Its different from a blog post because it will stay in one place and will show</p>
                <a class="buttonstyle2" href="#">Read More</a>
                <div class="member-social-icon"><a href="#" title="facebook" target="_blank"><i class="fa fa-facebook fa-lg"></i></a><a href="#" title="twitter" target="_blank"><i class="fa fa-twitter fa-lg"></i></a><a href="#" title="linkedin" target="_blank"><i class="fa fa-linkedin fa-lg"></i></a><a href="#" title="google-plus" target="_blank"><i class="fa fa-google-plus fa-lg"></i></a><a href="#" title="skype" target="_blank"><i class="fa fa-skype fa-lg"></i></a>
                  <div class="clear"></div>
                </div>
                <div class="clear"></div>
              </div>
            </div>
          </div>
        </div>
		
		';
	}
	wp_reset_query();
	$bposts .= '<div class="clear"></div></div>';
    return $bposts;
}
add_shortcode( 'ourteam', 'ourteamposts_func' );


// shortcode for custom width
function business_growth_custom_width_func($atts, $content = null){
		extract(shortcode_atts(array(
			'width'		=> 'width',						
			'class'		=> null
		), $atts));
		return '<div class="'.$class.'" style="width:'.$width.';">'.do_shortcode($content).'</div>';		
}

add_shortcode('area','business_growth_custom_width_func');


// Social Icon Shortcodes

function business_growth_social_area($atts,$content = null){
  return '<div class="social-icons">'.do_shortcode($content).'</div>';
 }
add_shortcode('social_area','business_growth_social_area');

function business_growth_social($atts){
 extract(shortcode_atts(array(
  'icon' => '',
  'link' => ''
 ),$atts));
  return '<a href="'.$link.'" target="_blank" class="fa fa-'.$icon.' fa-1x" title="'.$icon.'"></a>';
 }
add_shortcode('social','business_growth_social');


function contactform_func( $atts ) {
    $atts = shortcode_atts( array(
        'to_email' => get_bloginfo('admin_email'),
		'title' => 'Contact enquiry - '.home_url( '/' ),
    ), $atts );

	$cform = "<div class=\"main-form-area\" id=\"contactform_main\">";

	$cerr = array();
	if( isset($_POST['c_submit']) && $_POST['c_submit']=='Submit' ){
		$name 			= trim( $_POST['c_name'] );
		$email 			= trim( $_POST['c_email'] );
		$phone 			= trim( $_POST['c_phone'] );
		$website		= trim( $_POST['c_website'] );
		$comments 		= trim( $_POST['c_comments'] );
		$captcha 		= trim( $_POST['c_captcha'] );
		$captcha_cnf	= trim( $_POST['c_captcha_confirm'] );

		if( !$name )
			$cerr['name'] = 'Please enter your name.';
		if( ! filter_var($email, FILTER_VALIDATE_EMAIL) ) 
			$cerr['email'] = 'Please enter a valid email.';
		if( !$phone )
			$cerr['phone'] = 'Please enter your phone number.';
		if( !$comments )
			$cerr['comments'] = 'Please enter your message.';
		if( !$captcha || (md5($captcha) != $captcha_cnf) )
			$cerr['captcha'] = 'Please enter the correct answer.';

		if( count($cerr) == 0 ){
			$subject = $atts['title'];
			$headers = "From: ".$name." <" . strip_tags($email) . ">\r\n";
			$headers .= "MIME-Version: 1.0\r\n";
			$headers .= "Content-type: text/html; charset=iso-8859-1\r\n";

			$message = '<html><body>
							<table>
								<tr><td>Name: </td><td>'.$name.'</td></tr>
								<tr><td>Email: </td><td>'.$email.'</td></tr>
								<tr><td>Phone: </td><td>'.$phone.'</td></tr>
								<tr><td>Website: </td><td>'.$website.'</td></tr>
								<tr><td>Message: </td><td>'.$comments.'</td></tr>
							</table>
						</body>
					</html>';
			mail( $atts['to_email'], $subject, $message, $headers);
			$cform .= '<div class="success_msg">Thank you! A representative will get back to you very shortly.</div>';
			unset( $name, $email, $phone, $website, $comments, $captcha );
		}else{
			$cform .= '<div class="error_msg">';
			$cform .= implode('<br />',$cerr);
			$cform .= '</div>';
		}
	}

	$capNum1 	= rand(1,4);
	$capNum2 	= rand(1,5);
	$capSum		= $capNum1 + $capNum2;
	$sumStr		= $capNum1." + ".$capNum2 ." = ";

	$cform .= "<form name=\"contactform\" action=\"#contactform_main\" method=\"post\">
			<p><input type=\"text\" name=\"c_name\" value=\"". ( ( empty($name) == false ) ? $name : "" ) ."\" placeholder=\"Name\" /></p>
			<p><input type=\"email\" name=\"c_email\" value=\"". ( ( empty($email) == false ) ? $email : "" ) ."\" placeholder=\"Email\" /></p><div class=\"clear\"></div>
			<p><input type=\"tel\" name=\"c_phone\" value=\"". ( ( empty($phone) == false ) ? $phone : "" ) ."\" placeholder=\"Phone\" /></p>
			<p><input type=\"url\" name=\"c_website\" value=\"". ( ( empty($website) == false ) ? $website : "" ) ."\" placeholder=\"Website with prefix http://\" /></p><div class=\"clear\"></div>
			<p><textarea name=\"c_comments\" placeholder=\"Message\">". ( ( empty($comments) == false ) ? $comments : "" ) ."</textarea></p><div class=\"clear\"></div>";
	$cform .= "<p><span class=\"capcode\">$sumStr</span><input style=\"width:200px;\" type=\"text\" placeholder=\"Captcha\" value=\"". ( ( empty($captcha) == false ) ? $captcha : "" ) ."\" name=\"c_captcha\" /><input type=\"hidden\" name=\"c_captcha_confirm\" value=\"". md5($capSum)."\"></p><div class=\"clear\"></div>";
	$cform .= "<p class=\"sub\"><input type=\"submit\" name=\"c_submit\" value=\"Submit\" class=\"search-submit\" /></p>
		</form>
	</div>";

    return $cform;
}
add_shortcode( 'contactform', 'contactform_func' );

//custom post type for Our photogallery
function my_custom_post_photogallery() {
	$labels = array(
		'name'               => __( 'Photo Gallery','business-growth' ),
		'singular_name'      => __( 'Photo Gallery','business-growth' ),
		'add_new'            => __( 'Add New','business-growth' ),
		'add_new_item'       => __( 'Add New Image','business-growth' ),
		'edit_item'          => __( 'Edit Image','business-growth' ),
		'new_item'           => __( 'New Image','business-growth' ),
		'all_items'          => __( 'All Images','business-growth' ),
		'view_item'          => __( 'View Image','business-growth' ),
		'search_items'       => __( 'Search Images','business-growth' ),
		'not_found'          => __( 'No images found','business-growth' ),
		'not_found_in_trash' => __( 'No images found in the Trash','business-growth' ), 
		'parent_item_colon'  => '',
		'menu_name'          => 'Photo Gallery'
	);
	$args = array(
		'labels'        => $labels,
		'description'   => 'Manage Photo Gallery',
		'public'        => true,
		'menu_icon'		=> 'dashicons-format-image',
		'menu_position' => null,
		'supports'      => array( 'title', 'editor', 'thumbnail' ),
		'has_archive'   => true,
	);
	register_post_type( 'photogallery', $args );
}
add_action( 'init', 'my_custom_post_photogallery' );


//  register gallery taxonomy
register_taxonomy( "gallerycategory", 
	array("photogallery"), 
	array(
		"hierarchical" => true, 
		"label" => "Gallery Category", 
		"singular_label" => "Photo Gallery", 
		"rewrite" => true
	)
);

add_action("manage_posts_custom_column",  "photogallery_custom_columns");
add_filter("manage_edit-photogallery_columns", "photogallery_edit_columns");
function photogallery_edit_columns($columns){
	$columns = array(
		"cb" => '<input type="checkbox" />',
		"title" => "Gallery Title",
		"pcategory" => "Gallery Category",
		"view" => "Image",
		"date" => "Date",
	);
	return $columns;
}
function photogallery_custom_columns($column){
	global $post;
	switch ($column) {
		case "pcategory":
			echo get_the_term_list($post->ID, 'gallerycategory', '', ', ','');
		break;
		case "view":
			the_post_thumbnail('thumbnail');
		break;
		case "date":

		break;
	}
}


//[photogallery filter="false"]
function photogallery_shortcode_func( $atts ) {
	extract( shortcode_atts( array(
		'show' => -1,
		'filter' => 'true'
	), $atts ) );
	$pfStr = '';
	
	if( $filter == 'true' ){
	$pfStr .= '<div class="controls"><ul><li class="filter" data-filter="all">Show All</li>';
	$categories = get_categories( array('taxonomy' => 'gallerycategory') );
	foreach ($categories as $category) {
		$pfStr .= '<li class="filter" data-filter="'.$category->term_id.'">'.$category->name.'</li>';
	}
	$pfStr .= '</ul></div>';
	}

	$pfStr .= '<div class="gallery"><ul id="Grid">';
	$j=0;
	$args = array(
			   'post_type'  => 'photogallery',
			   'posts_per_page' => $show,
				'meta_query' => array(
					array(
					 'key' => '_thumbnail_id',
					 'compare' => 'EXISTS'
					),
				)
			);
	query_posts($args); 
	if ( have_posts() ) : 
	while ( have_posts() ) : the_post(); 
	$j++;	
	$imgSrc = wp_get_attachment_image_src( get_post_thumbnail_id(), array(347, 270));
	$terms = wp_get_post_terms( get_the_ID(), 'gallerycategory', array("fields" => "all"));
	$slugAr = array();
	foreach( $terms as $tv ){
		$slugAr[] = $tv->term_id;
	}
	$pfStr .= '<li class="mix '.implode(' ', $slugAr).'" '.( ($j%4==0) ? 'style="margin-right:0"' : '' ).'>
			   <strong>'.get_the_title().'</strong><a href="'.$imgSrc[0].'" rel="prettyPhoto[pp_gal]"><img src="'.$imgSrc[0].'"/></a></li>';
	unset( $slugAr );
	endwhile; else: 
		$pfStr .= '<p>Sorry, photo gallery is empty.</p>';
	endif; 
	wp_reset_query();	
	$pfStr .= '</ul></div>';
	return $pfStr;
}
add_shortcode( 'photogallery', 'photogallery_shortcode_func' );

/*toggle function*/
function toggle_func( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'title' => 'Click here to toggle content',
	), $atts ) );
	$tog_content = "<div class=\"toggle_holder\"><h3 class=\"slide_toggle\"><a href=\"#\">{$title}</a></h3>
					<div class=\"slide_toggle_content\">".get_the_content_format( $content )."</div></div>";

	return $tog_content;
}
add_shortcode( 'toggle_content', 'toggle_func' );

function tabs_func( $atts, $content = null ) {
	$tabs = '<div class="tabs-wrapper"><ul class="tabs">'.do_shortcode($content).'</ul></div>';
	return $tabs;
}
add_shortcode( 'tabs', 'tabs_func' );

function tab_func( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'title' => 'Tab Title',
	), $atts ) );
	$rand = rand(100,999);
	$tab = '<li><a rel="tab'.$rand.'" href="javascript:void(0)"><span>'.$title.'</span></a><div id="tab'.$rand.'" class="tab-content">'.get_the_content_format($content).'</div></li>';
	return $tab;
}
add_shortcode( 'tab', 'tab_func' );




function heading_title_func( $atts, $content = null ) {
   extract( shortcode_atts( array(	
	'underline'	=> '',
	'align'		=> ''	
	), $atts ) ); 
	$hdntitle = '<h2 class="heading '.( (strtolower($underline) == 'yes') ? 'underline' : '' ).'" '.( ($align!='') ? 'style="text-align:'.$align.' !important;"' : '' ) .'>'.do_shortcode( $content ) .'</h2>'; 
    return $hdntitle;
}
add_shortcode( 'heading', 'heading_title_func' );

function heading_underline_func( $atts, $content = null ) {
   extract( shortcode_atts( array(	
	'marginbottom'	=> ''	
	), $atts ) ); 
	$undertitle = '<div class="UnderLine" style="margin-bottom:'.$marginbottom.'px;"><span class="hr-style"></span></div>'; 
    return $undertitle;
}
add_shortcode( 'underline', 'heading_underline_func' );

/*Clients Logo function*/
function grace_client_logos($atts, $content = null){
	return '<ul id="flexiselDemo3">'.do_shortcode($content).'</ul>';
	}
add_shortcode('client_lists','grace_client_logos');

function grace_client($atts){
	extract(shortcode_atts(array(
	'image'	=> '',
	'link'	=> '#'	
	), $atts));
	return '<li><a href="'.$link.'" target="_blank"><img src="'.$image.'" /></a></li>';
	}
add_shortcode('client','grace_client');

// add shortcode for skills
function grace_skills($grace_skill_var){
	extract( shortcode_atts(array(
		'title' 	=> 'title',
		'percent'	=> 'percent',
		'bgcolor'	=> 'bgcolor',
	), $grace_skill_var));
	
	return '<div class="skillbar clearfix " data-percent="'.$percent.'%">
			<div class="skillbar-title"><span>'.$title.'</span></div>
			<div class="skill-bg"><div class="skillbar-bar" style="background:'.$bgcolor.'"></div></div>
			<div class="skill-bar-percent">'.$percent.'%</div>
			</div>';
}

add_shortcode('skill','grace_skills');

//[hr_top]
function back_to_top_func() {
	$back_top = '<div id="back-top">
		<a title="Top of Page" href="#top"><span></span></a>
	</div>';
	return $back_top;
}
add_shortcode( 'back-to-top', 'back_to_top_func' );

define('GRC_THEME_DOC','http://gracethemes.com/documentation/bizgrowth/');